QPt Help


About QPt Help


Conventions

The typographic conventions used in this help are described below.

Convention | Description
Bold | Used to denote components of the user interface such as buttons, field names, menus, and menu options. For example, the New button.
Menu...MenuOption | Select the menu from the menu bar then select the menu option from the menu. For example, File...Open would mean to select the File menu and then the Open option.
CAPS | Used to denote the name of a key on the keyboard. For example, the ENTER key.
Italics | Used to denote emphasis, captions and the result of an action in a procedure.


Contact Us

General inquiry on the QPt for DigitalMicropraph will be sent to:

HREM Research Inc.
14-48 Matsukazedai
Higashimatsuyama
Saitama 355-0055
Japan

email:
Website:


Copyright Statements

© Copyright 2004-2010 HREM Research Inc.

This manual was edited and expanded by HREM Research Inc. based on the QPt manual written by IATIA Imaging Pty Ltd.

© Copyright 2004-2010 IATIA Imaging Pty Ltd.

All rights reserved. This manual is protected by Australian and international copyright laws and treaties. Unauthorized reproduction and distribution of this manual, or any portion of it, will be prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

The HMC softening calculation is based on routines in Numerical Recipes: The Art of Scientific Computing, published by Cambridge University Press, and is used by permission.

Portions of this software are copyrighted by Copyright (c) 1988-1997 Sam Leffler and Copyright (c) 1991-1997 Silicon Graphics, Inc and are used by permission.


Introduction to QPt

QPt uses a patented algorithm based on the Transport of Intensity Equation that describes the interrelationship between intensity and phase developed by Professor Keith Nugent FAA and his group at the University of Melbourne.

QPt takes digital intensity images and processes them to yield separate images of both the amplitude and phase of the object under investigation.

Amplitude image of mammal cells

Amplitude measures the absorption and scattering of light through a sample revealing only the opacity of a sample.

Phase image of mammal cells

Phase is a consequence of the refraction of light through a sample and provides structural information not visible with amplitude images.

The combination of the amplitude and phase information completely defines the transmitted wave field of the sample under investigation. QPt is unique in its ability to generate images based on phase information only, independent of intensity.

Once a phase image has been generated, images that emulate those obtained using optical microscope techniques such as darkfield, Differential Interference Contrast (DIC), Hoffman Modulation Contrast (HMC) and Zernike Phase Contrast (ZPC) can be generated.

Examples of a sample of the wax coating on a palaeobotanical leaf sample contaminated with coal dust seen using various microscopy techniques.

The wax coating has small absorption and large refractive (phase) structure while the coal dust is highly absorbing and minimally refracting.

Bright Field Intensity Image Amplitude information only. Only sample opacity due to absorption and scattering is imaged and the refractive cell structure is obscured by coal dust. | Conventional DIC Image Amplitude and phase information. The refractive cell structure is more visible but, because the amplitude information cannot be removed, is still obscured.
QPt Phase Image Quantitative phase information only, no amplitude information. The phase image contains the data used to create different types of modality images. | QPt DIC Image The DIC image is generated from the phase image. Without the amplitude information, the refractive cell structure is clearly visible.

See Also


Advantages of Using QPt

Obtaining Quantitative Phase Images
No Special Optics Required
Obtaining Detail Without the Use of Stains
True Focus is Used

Obtaining Quantitative Phase Images

QPt provides independent digital acquisition of both quantitative phase and amplitude (intensity) information.

No other phase visualization technique presents phase information only, there is always some intensity information as well.

Note:

If your sample is thicker than the depth of field, the measurement values may not be quantitative.

No Special Optics Required

Conventional optical microscopy methods used to visualize phase, such as, Differential Interference Contrast (DIC), Hoffman Modulation Contrast (HMC) and Zernike Phase Contrast (ZPC), rely on special optics attached to the microscope, which can be very expensive.

Phase imaging with electrons is an advanced research procedure using electron interferometry or electron holography, both highly specialized techniques.

These methods all give a mixture of phase and amplitude information. They also require a certain level of skill to obtain useful images and are time-consuming to set up and optimize for each image.

With QPt various phase modalities can be generated digitally from the phase image at the click of a button.

Obtaining Detail Without the Use of Stains

Using QPt, the use of stains to enhance the intensity contrast of an image is unnecessary.

Stains are taken up in varying degrees by the refractive components of the sample to give an image with a defined relationship between intensity and refraction. Unfortunately, this may also change the nature of the sample being analyzed.

Also, some stains need to be handled with care as they may be toxic.

True Focus is Used

The in-focus image is captured at the true focus of the sample. Intensity images are often taken slightly out of focus to achieve better contrast and to highlight structures.

True Focus Image

Lines are sharp with no halo effects.

This image will give the best phase images as it is truly in focus.

Image Focused Positively to Enhance Contrast

Structures are more visible in the intensity image as contrast is increased but lines are split into black and white bands.

Image Focused Negatively to Enhance Contrast

Black and white bands are reversed creating a white halo around each blood cell.


How QPt Works

QPt works by ascertaining the differences in phase information between three images taken directly from the sample. These differences are then used to create a quantitative phase image via the Transport of Intensity Equation.

Normally, three images at in-focus and positive (over) and negative (under) defocuses are acquired. The defocus distance for the negative and positive defocus images must be the same.

At first, a phase image is created from the sequence images. The phase image contains refractive information from the sample. See Phase Images.

The following diagram shows how the sequence images are used to create the phase image, which is then used to create the different modality images.

The whole wave (complex wave function) can be created from the obtained phase image and the observed image intensity at the middle plane (in-focus plane). Then, various imaging modality options of special microscopy techniques can be realized in a computer:

- | Darkfield
- | Differential Interference Contrast (DIC)
- | Hoffman Modulation Contrast (HMC)
- | Zernike Phase Contrast (ZPC)

Using an electron micrograph QPt can estimate and analyze magnetic/electric field from the complex wave function by using Field Filter Option. See Field Filter Images.

There are optional modules for high resolution electron microscopy (HREM) for spherical aberration correction. See HREM Modules.


Projects and Images

A QPt project is made from a series of images taken from a particular sample at different image planes. These images are called sequence images. A project must contain three images taken directly from the sample:

· | an in focus image
· | a positive defocus image
· | a negative defocus image

The defocus distance for the negative and positive defocus images must be the same. For more information on how to prepare the sequence images, see How to Prepare Images.

In high resolution electron microscopy (HREM) an in-focus image in the sequence images may not be literally in-focus. In this case the QPt gives a phase distribution at the middle plane. For more details in atomic resolution application of the QPt, see HREM Modules.

The images of the project should be aligned before calculating the Phase and Modality images. For more information on how to align the sequence images, see How to Align Images.

See Also

How to Prepare Images

How to Align Images


How to Prepare Images

You can use the images directly obtained from your electron microscope for on-line processing or the images previously acquired and saved in the disk for off-line processing.

On-line processing
Capture images directly from your electron microscope using Gatan's CCD camera (see Acqure Images...).

Off-line processing
Open the existing image files, which can be opened or imported with DigitalMicropraph.


How to Align Images

Image alignment is essential for the phase evaluation using QPt for DigitalMicrograph. This is because the Transport of Intensity Equation (TIE), on which QPt is based, uses an image difference during the processing.

When the images are captured using an electron microscope or digitized after image acquisition, various image distortions can occur. Thus, QPt for DigitalMicrograph gives a variety of alignment procedures as explained below. To align the images, the images have to be stacked to a Project image following the steps below.

Setup images... Setup images Dialog

It is advisable to place the markers that tell to the alignment routine the same image points on each image. The marker may be placed by using HREM Mouse tool, or may be a Line ROI or Line Annotation.

QPt gives a variety of procedures for Manual alignment and assisted alignment using the markers.

The Alignment Process

Manual Alignment
Affine Alignment
Segment Alignment
Fourier Alignment
Translation Alignment
TIPS: | Rough Manual Alignment
 | Affine alignment requires multiple mouse points on each image, when an image displacement and/or an image distortion are appreciable. However, if there is no significant distortion, but large image displacement, you can use firstly "Translation Alignment," then refine the aligned Project image by using "Affine Alignment," which requires the mouse points only on one image. When the image distortion is significant, you can firstly align the images by placing two mouse points or one line to show the corresponding positions on each image, then use "Affine Alignment" without using cross-correlation" ("Cross Correlation" Mode is set to "none"). If you want, you can specify more mouse points or more lines on each image. This roughly aligned Project image will be finely aligned by using again "Affine Alignment" with "Cross Correlation."
TIPS: | Use Previous Alignment
 | Alignment conditions will be acquired by using a modified/enhanced version of the original images. Then, the alignment conditions can be applied to the original image by using "Use Previous Alignment." In order to get the alignment conditions, you can use trend-subtracted images (use Trend Subtract command), edge-enhanced images (say, using Sobel Spatial filter of DM Process command), Laplacian filter etc. When a cross-correlation peak becomes negative, you may want to invert an image contrast of one of the images to get better alignment conditions.


Manual Alignment

In some cases it may be difficult to find distinct small image features. Then, you may be able to use this Manual Alignment. If you place a Line Annotation that connects two image features on each image, the Manual alignment adjusts a scale and rotation of the image by using the markers. You can use a Line ROI or a set of Mouse points as the markers.

The figures below show an image alignment window and the Manual alignment tool. The Manual alignment tool aligns at each time two images, the Target image with respect to the Reference image, selected by the image selector of the alignment tool.

Image alignment window | Manual Alignment tool

It is advisable to use the most distinct image as the Reference image at the beginning. After the first alignment, the possible image for the reference will be listed in the Reference image selection, and only remaining images to be aligned will be listed in the Target image selection.

The Manual alignment tool gives a variety of modes to check both Reference and Target images simultaneously. The tool also gives a possibility to adjust a contrast of the stacked images. You may note that the image display mode will not work if the contrasts of two images in alignment show a big difference.

See Also

Alignment...menu


Affine Alignment

This is a linear image alignment by adjusting a single scale and rotation angle.Here, the scale and rotation angle will be estimated by local correlations of specified small image areas. The nine image areas arranged by 3x3 placed at the image corners, edge centers and the image center will be used by default. The size of each image area (in pixels) will be selected from 32/64/128/256/512.

However, this automatic alignment scheme will fail, if your image does not have specific features at some default image areas, or if an image displacement or an image distortion is vary large.

If the images are almost aligned but some of default 3x3 image areas for alignment do not have specific features, you can specify the centers of image areas to be used for alignment on one image by using the mouse tool (the fat mouse icon added to the Standard Tools). You don't need to specify the corresponding image areas on other image(s), since the alignment routine will automatically use the same image areas on other image(s). The following image shows some mouse clicks, each of which defines image centers.

Tips:

You can delete a mouse click, when click a point close to the mouse click to be deleted with the SHIFT key down. Then, the mouse clicks will be renumbered.

When an image displacement or an image distortion is very large, you have to specify corresponding image areas on each image by using the mouse tool (the fat mouse). In this case the number and sequence of the mouse clicks should be the same on all the images.

On summary, 1) when no mouse clicks are present on any images, the default image areas of 3x3 will be used on all the images; 2) when mouse clicks are present on one image, corresponding image areas will be used on other two images; 3) when the same number and sequence of mouse clicks are present on two images, the centers of image areas on the third image will be the mid points of corresponding image areas on two images; 4) when the same number and sequence of mouse clicks are present on all the images, the user specified image areas will be used.

When you want to use the image areas different from the default 3x3 areas, you have to specify the positions using the mouse click before launching the Alignment command.

Note:

You can fix the scale or rotation angle, if it is appropriate.

See Also

Alignment...menu


Segment Alignment

Segment Alignment (Affine -> Segment Alignment)

When an image distortion is not a simple scale and rotation, you can use non-linear position-dependent alignment. In this case the whole image is segmented into many small areas, and each image area will be displaced with different amounts.

It is important to note that the images should be well aligned before applying the segment alignment. Thus, Affine -> Segment alignment will be a handy option.

This alignment may be valuable for medium resolution images where a non-linear image distortion may be present. For a biological sample which is sensitive to electron beam irradiation, there may be an image distortion due to specimen degradation. In this case the segment alignment will be essential.

See Also

Alignment...menu


Fourier Alignment

Fourier Alignment (Fourier -> Affine Alignment)

When you want to align atomic resolution images taken from a crystalline specimen, spot positions of Fourier transform may be used to adjust a scale and rotation angle. After adjusting the scale and rotation angle, an image displacement will be aligned using cross-correlation of the whole image area.

It is noteworthy that the spot positions depend only on the image periodicities and not the image contrast. Therefore, the Fourier alignment is robust with respect to a defocus change.

You can use a Fourier transform calculated from of any one of the images to be aligned. The spots that will be used for alignment should be specified by using the mouse tool before launching the alignment command.

In many cases the image is over sampled, and the Fourier spots will not appear so much away from the origin. Then, the Fourier alignment will not be so accurate. In this case, you may be able to use Fourier ->Affine alignment.

Note:

You can fix the scale or rotation angle, if it is appropriate.

See Also

Alignment...menu


Translation Alignment

With this alignment mode only an image translation is adjusted by the cross-correlation between the whole image areas. Therefore, the scale and orientation of all images should be identical.

See Also

Alignment...menu


Phase and Modality Images

Phase and modality images are created from the sequence images. The phase image must be created before modality images can be created.

The examples in the following sections are based on the sequence and phase images below.

In focus image. | Positive defocus image.
Negative defocus image. | Phase image created from the sequence images.

See Also

Phase Images
Field Filter Images
Knife Edge Images
Darkfield Images
Differential Interference Contrast (DIC) Images
Hoffman Modulation Contrast (HMC) Images
Zernike Phase Contrast (ZPC) Images


Phase Images

The QPt phase image contains the refractive information for the sample in a form that has not been available using any other method. This phase information is entirely independent of the sample absorption. These quantitative phase images tend to appear visually fuzzy but the data in them is more accurate because of the purity of the phase information.

The phase images can be used as they are, or can be used to create Darkfield, DIC, HMC and ZPC modality images, or magnetic/electric field images.

For more information on how to create a QPt image, see Project and Images.

High Pass Filter

The high pass filter controls the amount of detail that is filtered out of the image. At a high pass filter setting (HPF) of 0, the phase image can be quantitative, if there is no low frequency noise. As the value is increased the lowest spatial frequencies are filtered out. This has two consequences, the image becomes less quantitative, and the image becomes more composed of boundary or edge details.

However, an electron micrograph is normally too noisy, and gives so-called white noise over the whole frequency of its Fourier transform. QPt algorithm includes a division of the Fourier transform of image intensity by a squared modulus of frequency. Thus, noise at low frequency will be easily amplified and results in a slowly varying strong background over the entire image. This slowly varying background is apt to hide the fine details of the phase. Therefore, it is advisable to apply High Pass Filter (HPF) as low as possible to reveal the fine details of the phase. The following shows an example of phase distributions calculated from electron micrographs of magnetic material.

Image generated with the High Pass Filter set to 0. | Image generated with the High Pass Filter set to 5.Most quantitative phase image.
Image generated with the High Pass Filter set to 10. | Image generated with the High Pass Filter set to 20.

See Also

Phase Tool


Field Filter Images

The phase measured by QPt is a consequence of the electron refractive index of either the electric field of the specimen material or the magnetic field structure of the specimen or a combination of both.

Because deflection can be caused by the electric field as well as magnetic field, non-uniform sample results may include deflections caused by a mixture of electric field and magnetic field.The field filter gives a true result, only when the magnetic sample is homogenous and uniform. If the magnetic sample is not uniform, the phase change due to the electric and magnetic fields should be separated before applying the field filter.

The field filter tool quantifies the direction and magnitude of the magnetic/electric field from the slope of the phase image. Magnetic/Electric Field command displays the results a RGB color image with arrows of various sizes, while Magnetic/Electric Field Raw command creates a complex image.

· | RGB color image with arrows of various sizes (Qualitative view)
· | Complex image iQuantitative representation

In the complex image display the x and y components of the magnetic/electric field vector are encoded into real and imaginary parts of complex image. From the complex image you can create a magnitude image using Utility/Complex to Real/Amplitude. The vector field coordinates can be rotated, and a magnitude of the vector field along or perpendicular to the preferred direction can be read easily. See Field Filter/Rotate Coordinates.

In the color and brightness view the direction is represented as colors according to the chart below, where a magnetic/electric field vector pointing to the right would be displayed as red and a field vector pointing to the left would be displayed as green (half blue, half yellow). The greater the magnitude of the field vector, the brighter the area in the image.

The direction and magnitude of the field determines the color displayed. | The magnitude of the field determines the color displayed.

For information on how to create a field filter image, see Field Filter menu .

See Also


Field Filter Options

The following examples are based on the phase image below.

Phase image of a magnetic material of uniform thickness

To see the field filter image, click on the Field Filter button. The direction of the magnetic field is represented by changes in color and the direction of the arrows. The magnitude of the magnetic field is represented by the brightness of the image and the size of the arrows. (left)

The direction of the magnetic field is represented by changes in color and the direction of the arrows. The magnitude of the magnetic field is represented by the brightness of the image and the size of the arrows.

To see only the arrow representation of direction and magnitude, click on the Color(On/Off) menu. (middle)

To see only the color and intensity representation of direction and magnitude, click on the Arrows(On/Off) menu.The length and apacing of arrows as their color will be changed in the Field Filter Setup dialog. (right)

Field filter image

Magnetic field direction and magnitude represented only by arrows

Magnetic field direction and magnitude represented only by color and intensity

To see a color representation of the magnitude of the magnetic field without the direction representation, click on the Direction (On/Off) menu. (left)

To see a representation of the magnetic field while including information from the specified focus image, click on the Image Blending(On/Off). You can select an image to blend and specify the amount of intensity infomation in the Field Filter Setup dialog. (right)

Color representation of magnetic field magnitude only

Color and brightness representation of magnetic field including information from the in focus image

See Also

Field Filtermenu


Field Density Map

The field density map is two-dimensional histogram of the magnetic/electric field vectors. This will give the distribution of the field vectors. The number of bins of two-dimensional histogram can be defined in the dialog.The intensity can be displayed in gray scale or pseudo-color. You may note that you can use a ROI to select the region for the density map.


Knife Edge Image

Knife-edge method (Schlieren method) is used to observe a phase object. If the whole scattering contributes ideally to create an image at the image plane, image amplitude will be constant and no image feature will be observed for the phase object. Thus, a knife edge is used to cut a part of scattering at the focus plane.

The Knife Edge command emulates the behavior of the knife-edge method in the microscope.

The figures below show a knife edge image obtained from the phase image in the right.

Knife edge image | Phase image

See Also

Knife Edge Tool


Darkfield Images

Using a microscope, a darkfield condenser is used to block the central light that ordinarily passes through and around the specimen, allowing only oblique rays for a given azimuthal angle to form an inverted hollow cone of light with an apex centered in the specimen plane.

When a specimen is placed on the slide the oblique rays cross the specimen and are diffracted, reflected, and/or refracted by objects such as the cell membrane, nucleus, and internal organelles, allowing faint scattered rays to enter the objective. The specimen can then be seen bright on a black background.

The QPt darkfield algorithm emulates the behavior of the microscope under darkfield illumination.

Absorption effects can also be excluded by setting the Modulate with Intensity Image field to Disabled.

The angle of the oblique illumination can be changed by setting the center position and the numerical aperture of the objective can be changed by setting the acceptance width.

Representation of Darkfield Illumination

For more information on how to create a QPt image, see Project and Images.

Darkfield Image Properties

The following sections show examples of the effect of changing the properties of the darkfield image.


Contrast Mode

The contrast mode can be set to Dark (white on black) or Bright (black on white).

Image generated with the Contrast Mode set to Dark.

Image generated with the Contrast Mode set to Bright.


Modulate with Intensity Image

The Modulate with Intensity Image field controls whether the amplitude data is included in the image.

If the Modulate with Intensity Image field is:

· | set to Disabled, the amplitude data is not included
· | set to Enabled the amplitude data is included
· | set to Enhanced, absorption effects are included according to the value in the Intensity Enhancement Factor field.
Image generated with the Modulate with Intensity Image field set to Disabled. | Image generated with the Modulate with Intensity Image field set to Enabled.
Image generated with the Modulate with Intensity Image field set to Enhanced and an Intensity Enhancement value of 0.5. |

Note:

It can be difficult to see darkfield images with the Modulate with Intensity Image field set to Enabled and it can be difficult to see a difference between intensity enabled darkfield images with the Contrast Mode set to Bright and the original in focus image.


Acceptance Width

The acceptance width controls the virtual width of the aperture, which determines the width of the segment of rays that are included in the image.

Image generated with the Acceptance Width set to 0.5.

Image generated with the Acceptance Width set to 1.0.


Center of Acceptance

The center of acceptance is the position of the center of the acceptance width.

Image generated with the Center Position set to 0.5.

Image generated with the Center Position set to 0.0.


Differential Interference Contrast (DIC) Images

To capture a DIC image, polarizers and modified Wollaston prisms, or combiner prisms, are used to shear and recombine the light beam, which passes through the sample. This technique known as differential interference contrast microscopy offers one mechanism for enhancing phase contrast in the specimen.

The images obtained show a pseudo-3D shadow relief image with the direction of the shadow determined by the orientation of the combiner prisms.

The QPt implementation of DIC uses the phase image as the basis for determining the interference contrast image. The direction of the shadow relief is defined by the contrast angle and absorption effects can also be excluded by setting the Modulate with Intensity Image field to Disabled, a feature not available using conventional microscope DIC optics.

The optics required to create a DIC image using a microscope

For more information on how to create a QPt image, see Project and Images.

DIC Image Properties

The following sections show examples of the effect of changing the properties of the DIC image.


Contrast Angle

The contrast angle changes the represented angle of illumination, which controls the direction of the shadow relief for the DIC image.

Image generated with the Contrast Angle field set to 135°.

Image generated with the Contrast Angle field set to 90° accentuating horizontal structure.


Modulate with Intensity Image

The Modulate with Intensity Image field controls whether the amplitude data is included in the image.

If the Modulate with Intensity Image field is:

· | set to Disabled, the amplitude data is not included
· | set to Enabled the amplitude data is included
· | set to Enhanced, absorption effects are included according to the value in the Intensity Enhancement Factor field.
Image generated with the Modulate with Intensity Image field set to Enabled. | Image generated with the Modulate with Intensity Image field set to Disabled.
Image generated with the Modulate with Intensity Image field set to Enhanced and an Intensity Enhancement value of 0.5. |


Combiner Prism

The combiner prism performs the same role as the "slider" on a conventional DIC microscope. It changes the phase offset where the maximum contrast is at 0 and positive numbers give a white image with phase information displayed in black and negative numbers give a black image with phase information displayed in white.

Image generated with the Combiner Prism field set to 0.0. | Image generated with the Combiner Prism field set to 1.1.
Image generated with the Combiner Prism field set to -1.1. |


Hoffman Modulation Contrast (HMC) Images

To capture a HMC image, an optical amplitude spatial filter called a modulator is inserted on the back focal plane of an achromat or planachromat objective to vary the light intensity above and below an average value that is then said to be modulated.

The modulator has three zones: a small, dark zone near the periphery of the back focal plane which transmits only 1% of light; a narrow gray zone which transmits 15%; and the remaining clear or transparent zone, covering most of the territory at the back of the objective, which transmits 100% of the light.

When viewed under modulation contrast optics, transparent objects that are essentially invisible in ordinary brightfield microscopy take on a three-dimensional appearance dictated by phase gradients. These gradients deflect light according to the slope of the gradient into the different zones of the modulator. The resulting image displays a simple contrast gradient that is dictated by the positioning and slope of phase gradients in the sample.

Phase gradient deflects the light into the different zones of the modulator.

Shapes are rendered to give a three-dimensional appearance with directional sensitivity to optical gradients. They appear bright on one side, gray in the central portion, and dark on the other side, against a gray background.

The QPt implementation of HMC uses the phase image as the basis for determining the contrast image. The direction of the shadow relief is defined by the contrast angle and absorption effects can be excluded by setting the Modulate with Intensity Image field to Disabled, a feature not available using microscope HMC optics.

The modulator behavior can be changed by specifying the width and position of the gray transmission zone and the sharpness of the cutoff between the dark, gray and bright zones can be specified using the softening factor for the modulated image.

Representation of an HMC modulator

For more information on how to create a QPt image, see Project and Images.

HMC Image Properties

The following sections show examples of the effect of changing the properties of the HMC image.


Contrast Angle

The contrast angle changes the represented angle of illumination, which controls the direction of the shadow relief for the HMC image.

Image generated with the Contrast Angle field set to 0° accentuating vertical structure.

Image generated with the Contrast Angle field set to 90° accentuating horizontal structure.


Modulate with Intensity Image

The Modulate with Intensity Image field controls whether the amplitude data is included in the image.

If the Modulate with Intensity Image field is:

· | set to Disabled, the amplitude data is not included
· | set to Enabled the amplitude data is included
· | set to Enhanced, absorption effects are included according to the value in the Intensity Enhancement Factor field.
Image generated with the Modulate with Intensity Image field set to Disabled. | Image generated with the Modulate with Intensity Image field set to Enabled.
Image generated with the Modulate with Intensity Image field set to Enhanced and an Intensity Enhancement value of 0.5. |


Bright Zone

The bright zone controls the brightness value given to the rays that pass through the bright zone.

Image generated with the Bright Zone set to 1.0.

Image generated with the Bright Zone set to 0.75.


Gray Zone

The gray zone controls the brightness value given to the rays that pass through the gray zone.

Image generated with the Gray Zone set to 0.55.

Image generated with the Gray Zone set to 0.75.


Dark Zone

The dark zone controls the brightness value given to the rays that pass through the dark zone.

Image generated with the Dark Zone set to 0.1.

Image generated with the Dark Zone set to 0.3.


Zone Width

The width of the gray zone.

Image generated with the Zone Width set to 0.2.

Image generated with the Zone Width set to 0.4.


Center of Zone

The position of the center of the gray zone.

Image generated with the Center of Zone set to 0.5.

Image generated with the Center of Zone set to 0.4.


Softening Factor

The softening factor controls the amount of spread in brightness level at the boundaries of the dark and gray zones and gray and bright zones.

Image generated with the Softening Factor set to 0.1.

Image generated with the Softening Factor set to 0.3.


Zernike Phase Contrast (ZPC) Images

To capture a ZPC image, a condenser ring masks the light so that a hollow cone of light falls on the sample. The light that passes undeviated through the sample is a ¼ wavelength in front of the light that is deviated by the sample. A phase plate is then used at the top of the microscope to achieve an additional phase change.

A phase plate can be used to speed up direct light by ¼ wavelength so that the difference in phase between the direct light and light deviated through a specimen is ½ wavelength. This results in the direct and diffracted light arriving at the image level of the eyepiece exhibiting destructive interference that shows the details of the image appearing darker against a lighter background. This is called a positive phase contrast.

A different phase plate can be used to slow direct light by ¼ wavelength so that the direct and diffracted light arriving at the image level of the eyepiece exhibits constructive interference which shows the details of the image appearing bright against a dark background. This is called a negative phase contrast.

In QPt the phase plate excursion can be set at P/2 for a positive phase contrast image and -P/2 for a negative phase contrast image or at any point between.

Representation of the optics required to create a ZPC image using a microscope

The QPt field, Phase Plate Transmission, specifies the optical transmission of the light through the Zernike phase plate. This offset is used to enhance the phase effects in the ZPC image. The phase plate transmission is set to 1 for a completely transparent phase plate and 0 for a completely opaque phase plate, which is called a darkground image.

The contrast in the phase information can also be enhanced in QPt by enabling phase enhancement and entering a large value.

A particular form of ZPC image is a darkground image with the phase plate transmission set to 0 to represent a phase annulus that absorbs all light. This results in all of the direct light being absorbed.

Representation of the Darkground form of ZPC optics

For more information on how to create a QPt image, see Project and Images.

ZPC Image Properties

The following sections show examples of the effect of changing the properties of the ZPC image.


Invert Contrast

Dark is a normal image and Bright is a negative of the image.

Image generated with the Invert Contrast field set to Dark.

Image generated with the Invert Contrast field set to Bright.


Phase Plate Transmission

The optical transmission of the Zernike phase plate.

Image generated with the Phase Plate Transmission set to 0.5. | Image generated with the Phase Plate Transmission set to 1.0.
Image generated with the Phase Plate Transmission set to 0 or the Apply Darkground Image checked. |


Phase Plate Excursion

The phase advancement or retardance of the phase plate.

Image generated with the Phase Plate Excursion set to 1.571. | Image generated with the Phase Plate Excursion set to 0.
Image generated with the Phase Plate Excursion set to -1.571. |


Phase Enhancement

The range of phase information included in the image.

Image generated with Phase Enhancement off. | Image generated with Phase Enhancement turned on with a value of 1. As the range of information included in the original image is close to the maximum already, the phase enhancement does not make much difference for this sample.
Image generated with Phase Enhancement turned on with a value of 0.1. Reducing the range creates a different image. | Image generated with Phase Enhancement turned on with a value of 0. As the range of information included in the image is 0, there is no image.


HREM Modules (Option)

This is a set of optional modules that are dedicated to high-resolution electron microscopy (HREM). It has been demonstrated that the QPt can be applicable even to atomic resolution images taken with a commonly used defocus step (see Defocus Step). For more information on the HREM Modules, see HREM Modules.

Usually, HREM images are not taken at the in-focus and above and below it, but taken at the Scherzer (under) focus or further under defocuses. In this case, we can use a middle defocus image as an in-focus image, and other two defocus images as under and over defocus images.

Using the HREM modules a wave field at an exit specimen surface (see Exit Surface WF...) or a wave field with a minimum amplitude variation (see Minimum Amplitude WF...) will be calculated from the wave field at the middle (in-focus) plane obtained by the QPt Phase module.

Defocus Step

A larger defocus step will give more intensity change, but there is an upper limit that depends on the resolution you want. The allowable defocus step [image] for a given resolution g will be given

where λ is a wave length of electrons. Thus, the allowable defocus step is inversely proportional to g2 and the wave length. The following table shows some defocus distance between an under- and over-focus (ε):

Allowable defocus step for some resolutions and acceleration voltage

1/g |  | 100 kV |  | 200 kV |  | 400 kV
0.14 | nm | 4.2 | nm | 6.2 | nm | 9.5 | nm
0.2. |  | 8.4 |  | 12.4 |  | 19.0 |
0.3. |  | 19.0 |  | 28.0 |  | 42.7 |
1 |  | 211 |  | 311 |  | 474 |
10 |  | 21.1 | μm | 31.1 | μm | 47.4 | μm

HPF Setting/Low Frequency Noise

During the QPt processing to obtain the Phase image, low frequency image components are recovered, and at the same time low frequency noise will be amplified. Therefore, a non-zero high-pass filter (HPF) setting in the Phase dialog is usually required to suppress low frequency noise in the phase image. However, a minimum HPF setting should be used when you want to back-propagate a wave-front from a middle image (in-focus) plane to the specimen exit surface plane. For more information on the high-pass filter setting, see High Pass Filter

Small low frequency noise in the final wave function will be reduced by masking low-frequency components or applying a lattice mask in the case of a crystal sample. These filtering in Fourier space will be easily performed under DigitalMicrograph environment.

See also

High Pass Filter
HREM Modules
Exit Surface WF...
Minimum Amplitude WF...


The QPt Command Reference

QPt Basic QPt HREM Module Utilities QPt Pro Utilities


QPt Basic

QPt Basic Menu

The options in the QPt menu are described below.

Note:

You need to generate a phase image before you can calculate any of the modality images or field filter images. This is because the processing to calculate these derived images requires the phase image.

Option | Description
Acqure Images... | Acquires three images using Gatan CCD
Setup images... | Creates a project image.
Alignment... | Aligns a project image. You can use various alignment procedures. For more information on various alignment procedures, see Manual, Affine, Translation, Fourier, Segment, Use Previous Alignment.
Phase | Generates a phase image using QPt Tools.
Manual Adjust for Phase | Adjusts an aligned project image manually and regenerates a phase image.
Generated Complex WF from Project | Generate the complex wave function from the selected project (The project keeps amplitude and phase information.)
Band Pass Filter... | Special Band Pass Filter that passes also the center beam. Thus, the mean value of the image will be kept constant.
Propagate WF... | ProPropagates the wave by a specified distance or a set of defocuses. This command is useful, if the center image is not exactly in-focus. For more information on various procedures, see Manual Defocus, Focal Series, Single Defocus.
Aberration Corrector | Opens Aberration Corrector window (if not opened).


Acquire Images... Menu

Opens the Through-Focus Acquisition Setup dialog where you can control image acquisition including a defocus step. When you press 'OK,' three images will be acquired automatically.

Note:

You may have to check an objective lens hysteresis which will affect an actual defocus value. It is advisable to establish a hysteresis loop and collect images along the same direction of the loop.

Through-Focus Acquisition Setup dialog

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab Below.
Setup Tab | For information about the components of the Setup tab, see Setup Tab Below.
OK | Closes the dialog and acquires three images according to the specified parameters.
Cancel | Closes the dialog without acquiring images.

Control Tab

Component | Description
Data Name | Acquired images will be identified with this name and an added sequential number.
Number of Images | Acquired number of images which should be always three (3).
Focus Step | Defocus step between each image (in nm)
Use A Fixed DAC Step | Necessary DAC to change a specified defocus may not be an integer value. In this case, an actual defocus is approximately equal to the specified value, but may not be a constant. If you want a constant defocus close to the specified value, you can check this box.
Delay after Focus Change | Settling time after focus change (in sec)
Save Each Image to Disk | Each acquired image will be saved onto a hard disk.
Create A Stacked Image | (Don't use this selection for QPt) One stacked image will be created and saved onto a hard disk.
Convert to Integer 2 Signed | Save an acquired image as Integer 2 Signed after converting from an Integer 4 Signed image. Use this option only when your image is known to be expressed as Integer 2 Signed. (Currently, an image will be acquired as Integer 4 Signed and requires a large memory space.)

Setup Tab

Component | Description
Folder | Acquired images will be saved into this folder, when 'Save Image to Disk' is selected. You can browse the folder directory.
Focus Step | Specifies a focus change in nm produced by a unit DAC change. This will be automatically specified, when you have Gatan's plug-in to measure this value.
Magnification | Image magnification (This will be read from your microscope, if possible.)
Defocus Range | Not used currently.


Setup Images... Menu

The images will be set up in a project file in the order listed in the "Window" menu.The TOP (FRONT) image should be the most UNDER-FOCUS, and the defocus step should be positive.

Setup Images Dialog

The components of the dialog are described below.

Component | Description
Image Info Tab | For information about the components of the Image Info tab, see Image Info Tab Below.

Note:

When you want to align images using a set of mouse clicks, you have to place the same number of mouse clicks on each image before select this Setup Images command.

Image Info Tab

Component | Description
Project Name | The selected images will be saved as a project with this name.
Defocus Step | Defocus difference between the images. The defocus step should be POSITIVE, namely the images should be accumulated from under- to over-focus. You can choose an input unit from nm/um/mm.
Mode | Specifies the defocus mode from symmetric/asymmetric. In the case of symmetric mode, the defocus value of the center image is assumed to be zero.
In-focus image does not show clear features | When an in-focus image does not show clear image features, you can use this option. When checked, the in-focus image will be aligned using the alignment information between under and over images.
Start Defocus | Specified a defocus value of the most under-focused image (the first image in the series). This box is only available for the asymmetric defocus mode.
Pixel Size | An image sampling distance in object space in nm.
Acc. Voltage | Specify a high voltage setting (in kV)
Phase Unit | Unit of phase display is selected from Radian and Wavelength.
Source Images | Specifies the number of images in the series from Two Images, Three Images (Five Images will be available in future)


Alignment... Menu

Alignment Submenu

The options in the Alignement... submenu are described below.

Option | Description
Manual... | Starts Manual Alignment.
Affine... | Starts Affine or Affine-Segment alignment.
Translation... | Starts translation-only automatic alignment. Any mouse clicks will be ignored when present.
Fourier... | Starts Fourier or Fourier-Affine alignment.
Segment... | Starts Segment alignment.
Use Previous Alignment... | Starts alignment using the previously determined alignment information. This alignment mode is useful, when the derived images give good alignment information.


Manual Alignment

Manual Alignment Tool

Manual Alignment Dialog

The components of the dialog are described below.

Component | Description
Normalization (see Scheme Tabs) | Manual alignment tool requires normalized images. Normalization scheme is selected from the Tabs.
OK | Closes the dialog and starts the procedure according to the specified parameters.
Cancel | Cancels the procedure.

Normalization
(Contrast Limits Tab)

Component | Description
Remove outliers | Display limits (Lowest and Highest values) are defined by excluding the specified % of outliers (same as DM display limits).
Adjust Local Mean | Tick to adjust background using the local mean. The size of area used to calculate the local mean is specified in pixels.
Check | Click to check the effect of normalization.

Normalization
(Local Variance Tab)

Component | Description
Local Area Size | Specifies a local area size in pixels.
Display Range | Specifies display range in terms of local standard deviation (std). Namely, the display range will be +/- *(std) around the local mean.
Check | Click to check the effect of normalization.

Normalization
(None Tab)

Manual Alignment Tool

The components of the Current Images Box are described below.

Component | Description
Reference | Specifies the Reference Image i.e. the one which will remain fixed.
Target | Specifies the Target Image i.e. the one which will be shifted (magnified and rotated) to align with Reference image.
Start | Starts Manual Alignment with selected images.
OK | Applies specified translation , scale and angle to the target image.
Cancel | Cancels the procedure.

The components of the Manual Alignment Tab are described below.

Component | Description
Translation | Translates the Target image with respect to the Reference image, in the direction of the arrow clicked upon. Keyboard arrow keys can also be used.
Step | Step for one click in pixels.
Scale | Magnifies, or demagnifies, the Target image with respect to the Reference image.
Step | Step for one click in fractions of scale change.
Angle | Rotates the Target image, clockwise or anticlockwise, with respect to the Reference image.
Step | Step for one click in degrees.
Display mode | Display mode may be selected from the pull-down list. Sum(RGB) / Sum(B/W) / Difference / Flash (RGB) / Flash (B/W) / CheckerBoard (RGB) / CheckerBoard(B/W)
CB Size | Defines the checker board size (in pixels) for Checker Board display mode CB.
Flash FPS | Defines Image flash rate (in seconds) for Flash mode display. (Actual flash rate is hardware dependent.)
Reset | Returns the Target image to initial orientation.
OK | Creates a aligned image.
Cancel | Cancels the procedure.


Affine Alignment

Alignment Setup Dialog

The components of the dialog are described below.

Component | Description
Alignment Tab | For information about the components of the Alignment tab, see Alignment Tab Below.
Options Tab | For information about the components of the Options tab, see Option Tab Below.
Display Tab | For information about the components of the Display tab, see Display Tab Below.
OK | Closes the dialog and opens a dialog to specify the image(s) to be aligned.
Cancel | Closes the dialog without acquiring images.

Note:

When you want to align images using a set of mouse clicks, you have to place the same number of mouse clicks on each image before select this alignment command.

Alignment Tab

Component | Description
Scheme Box |
Scheme | Alignment Scheme will be selected from: Affine: linear alignment using local correlations between pre-defined image areas. A single scale and rotation will be applied over the whole image. Affine->Segment: non-linear alignment using local correlations between small segmented image areas after Affine alignment.
Cycle | Maximum number of iterative alignment.
Reference Image | Specifies a reference image for alignment.
Cross-Correlation Box |
Mode | Cross-correlation mode will be selected from: Conventional: cross-correlation with normal amplitudes. Square Root Moduli: cross-correlation with square root amplitudes. Phase Only: cross-correlation with unit amplitudes (only phase will be retained). None: Mouse points or end points of lines will be used for alignment (manual alignment).
Size | Cross-correlation size: 32/64/128/Ful. In the case of 'Full' no mouse click is required, and any mouse clicks will be ignored if present.
Mask | Specifies a radius of Low-pass filter in Fourier space (relative to the Nyquest frequency) to reduce high-frequency noise.
Hanning Window | When checked, a Hanning Window will be applied for Fourier transforms used for cross-correlation calculations.

Option Tab

Component Description

Affine/Fourier Box

Scaling

If unchecked, an image scale will not be adjusted.

Rotation

If unchecked, an image rotation will not be adjusted.

Final Translation

If checked, a translation alignment of the whole image will be adjusted at the end of alignment. When an aligned project shows an incorrect translation, you may want to disable the final translation.

Peak Search Box

Size

Radius of the cross-correlation peak search area.

Threshold

Intensity below this level will be ignored when estimating a peak center.

Dud Pixels Box

Quick Dud Pixel Check

If checked, abnormal pixels will be checked based on the standard deviation of the whole image.

Dud Pixels Threshold

Specifies the threshold standard deviation for a quick dud pixel check.

Normalization

Normally, average image intensity is normalized to unity. If you don't want to change the intensity scale, you can disable the normalization.

Trend Subtract

If checked, a trend (slowly varying feature) is subtracted for alignment to enhance the image feature.

Display Tab

Component | Description
Cross-Correlation | If checked, cross-correlation patterns will be displayed.
Difference Image | If checked, a difference between under and over focus images will be displayed. This is useful to check an alignment quality.
Message Level | Controls the amount of output message to the Results Window. (None/Normal/Detail)


Translation Alignment

Alignment Setup Dialog

The components of the dialog are described below.

Component | Description
Alignment Tab | For information about the components of the Alignment tab, see Alignment Tab Below.
Options Tab | For information about the components of the Options tab, see Option Tab Below.
Display Tab | For information about the components of the Display tab, see Display Tab Below.
OK | Closes the dialog and opens a dialog to specify the image(s) to be aligned.
Cancel | Closes the dialog without acquiring images.

Note:

When you want to align images using a set of mouse clicks, you have to place the same number of mouse clicks on each image before select this alignment command.

Alignment Tab

Component | Description
Scheme Box |
Scheme | Translation: only translation will be applied. Any mouse clicks will be ignored when present.
Reference Image | Specifies a reference image for alignment.
Cross-Correlation Box |
Mode | Cross-correlation mode will be selected from: Conventional: cross-correlation with normal amplitudes. Square Root Moduli: cross-correlation with square root amplitudes. Phase Only: cross-correlation with unit amplitudes (only phase will be retained). None: Mouse points or end points of lines will be used for alignment (manual alignment).
Mask | Specifies a radius of Low-pass filter in Fourier space (relative to the Nyquest frequency) to reduce high-frequency noise.
Hanning Window | When checked, a Hanning Window will be applied for Fourier transforms used for cross-correlation calculations.

Option Tab

Component Description

Peak Search Box

Size

Radius of the cross-correlation peak search area.

Threshold

Intensity below this level will be ignored when estimating a peak center.

Dud Pixels Box

Quick Dud Pixel Check

If checked, abnormal pixels will be checked based on the standard deviation of the whole image.

Dud Pixels Threshold

Specifies the threshold standard deviation for a quick dud pixel check.

Normalization

Normally, average image intensity is normalized to unity. If you don't want to change the intensity scale, you can disable the normalization.

Trend Subtract

If checked, a trend (slowly varying feature) is subtracted for alignment to enhance the image feature.

Display Tab

Component | Description
Cross-Correlation | If checked, cross-correlation patterns will be displayed.
Difference Image | If checked, a difference between under and over focus images will be displayed. This is useful to check an alignment quality.
Message Level | Controls the amount of output message to the Results Window. (None/Normal/Detail)


Fourier Alignment

Alignment Setup Dialog

The components of the dialog are described below.

Component | Description
Alignment Tab | For information about the components of the Alignment tab, see Alignment Tab Below.
Options Tab | For information about the components of the Options tab, see Option Tab Below.
Display Tab | For information about the components of the Display tab, see Display Tab Below.
OK | Closes the dialog and opens a dialog to specify the image(s) to be aligned.
Cancel | Closes the dialog without acquiring images.

Note:

When you want to align images using a set of mouse clicks, you have to place the same number of mouse clicks on each image before select this alignment command.

Alignment Tab

Component | Description
Scheme Box |
Scheme | Alignment Scheme will be selected from: Fourier->Affine: linear alignment using local correlations between pre-defined image areas after rough alignment using the spot positions of Fourier transforms. Fourier: linear alignment using the spot positions of Fourier transforms.
Cycle | Maximum number of iterative alignment.
Reference Image | Specifies a reference image for alignment.
Fourier Transform | Fourier transform of the Reference Image will be selected from the image list. This Fourier transform image should have some mouse points.
Cross-Correlation Box | Cross-correlation is only effective for Fourier-Affine alignment.
Mode | Cross-correlation mode will be selected from: Conventional: cross-correlation with normal amplitudes. Square Root Moduli: cross-correlation with square root amplitudes. Phase Only: cross-correlation with unit amplitudes (only phase will be retained). None: Mouse points or end points of lines will be used for alignment (manual alignment).
Size | Cross-correlation size: 32/64/128/Ful. In the case of 'Full' no mouse click is required, and any mouse clicks will be ignored if present.
Mask | Specifies a radius of Low-pass filter in Fourier space (relative to the Nyquest frequency) to reduce high-frequency noise.
Hanning Window | When checked, a Hanning Window will be applied for Fourier transforms used for cross-correlation calculations.

Option Tab

Component Description

Affine/Fourier Box

Scaling

If unchecked, an image scale will not be adjusted.

Rotation

If unchecked, an image rotation will not be adjusted.

Final Translation

If checked, a translation alignment of the whole image will be adjusted at the end of alignment. When an aligned project shows an incorrect translation, you may want to disable the final translation.

Peak Search Box

Size

Radius of search area for the peaks on Fourier transform and/or the cross-correlation peak.

Threshold

Intensity below this level will be ignored when estimating a peak center.

Dud Pixels Box

Quick Dud Pixel Check

If checked, abnormal pixels will be checked based on the standard deviation of the whole image.

Dud Pixels Threshold

Specifies the threshold standard deviation for a quick dud pixel check.

Normalization

Normally, average image intensity is normalized to unity. If you don't want to change the intensity scale, you can disable the normalization.

Trend Subtract

If checked, a trend (slowly varying feature) is subtracted for alignment to enhance the image feature.

Display Tab

Component | Description
Cross-Correlation | If checked, cross-correlation patterns will be displayed.
Difference Image | If checked, a difference between under and over focus images will be displayed. This is useful to check an alignment quality.
Message Level | Controls the amount of output message to the Results Window. (None/Normal/Detail)


Segment Alignment

Alignment Setup Dialog

The components of the dialog are described below.

Component | Description
Alignment Tab | For information about the components of the Alignment tab, see Alignment Tab Below.
Options Tab | For information about the components of the Options tab, see Option Tab Below.
Display Tab | For information about the components of the Display tab, see Display Tab Below.
OK | Closes the dialog and opens a dialog to specify the image(s) to be aligned.
Cancel | Closes the dialog without acquiring images.

Note:

When you want to align images using a set of mouse clicks, you have to place the same number of mouse clicks on each image before select this alignment command.

Alignment Tab

Component | Description
Scheme Box |
Scheme | Segment: non-linear alignment using local correlations between small segmented image areas.
Reference Image | Specifies a reference image for alignment.

Option Tab

Component Description

Dud Pixels Box

Quick Dud Pixel Check

If checked, abnormal pixels will be checked based on the standard deviation of the whole image.

Dud Pixels Threshold

Specifies the threshold standard deviation for a quick dud pixel check.

Normalization

Normally, average image intensity is normalized to unity. If you don't want to change the intensity scale, you can disable the normalization.

Display Tab

Component | Description
Difference Image | If checked, a difference between under and over focus images will be displayed. This is useful to check an alignment quality.
Message Level | Controls the amount of output message to the Results Window. (None/Normal/Detail)


Use Previous Alignment

Alignment Setup Dialog

The components of the dialog are described below.

Component | Description
Alignment Tab | For information about the components of the Alignment tab, see Alignment Tab Below.
Options Tab | For information about the components of the Options tab, see Option Tab Below.
Display Tab | For information about the components of the Display tab, see Display Tab Below.
OK | Closes the dialog and opens a dialog to specify the image(s) to be aligned.
Cancel | Closes the dialog without acquiring images.

Note:

When you want to align images using a set of mouse clicks, you have to place the same number of mouse clicks on each image before select this alignment command.

Alignment Tab

Component | Description
Scheme Box |
Scheme | Use Previous Alignment: Alignment information of previously aligned project will be used. In this case, the aligned project should be derived from the same original images to be aligned. This alignment mode is useful, when the derived images give good alignment.
Aligned Project | Aligned project will be selected from the image list.

Option Tab

Component Description

Dud Pixels Box

Quick Dud Pixel Check

If checked, abnormal pixels will be checked based on the standard deviation of the whole image.

Dud Pixels Threshold

Specifies the threshold standard deviation for a quick dud pixel check.

Normalization

Normally, average image intensity is normalized to unity. If you don't want to change the intensity scale, you can disable the normalization.

Display Tab

Component | Description
Difference Image | If checked, a difference between under and over focus images will be displayed. This is useful to check an alignment quality.
Message Level | Controls the amount of output message to the Results Window. (None/Normal/Detail)


Phase

Displays the Phase Modality Setup dialog and then opens the Phase Properties dialog where you can set the parameters for the generation of a phase image.

The phase image will be displayed in a new window.

Before selecting this menu, the front image should be an aligned project image (a set of sequence images).

For more information on the phase image, see Phase Images.

Phase Tool

Component | Description
High Pass Filter | The amount of detail that is filtered out of the image. As the value is increased the more the image consists of only boundary or edge details. Enter a value in the field or move the slider to change the value.
Auto Survey | Tick to apply Auto Survey to the Phase image.
Done | Creates the phase image according to the specified parameters.
Cancel | Cancels the procedure.


Manual Adjust

Manual Adjust for Phase

Adjusts an aligned project image manually and regenerates a phase image. This command uses the same tool for Manual Alignment.

Manual Adjust Tool

Manual Adjust Tab

The components of the Manual Adjust Tab are described below. You may note that the components are identical with the Manual Alignment Tool.

Component | Description
Translation | Translates the Target image with respect to the Reference image, in the direction of the arrow clicked upon. Keyboard arrow keys can also be used.
Step | Step for one click in pixels.
Scale | Magnifies, or demagnifies, the Target image with respect to the Reference image.
Step | Step for one click in fractions of scale change.
Angle | Rotates the Target image, clockwise or anticlockwise, with respect to the Reference image.
Step | Step for one click in degrees.
Display mode | Display mode may be selected from the pull-down list. Sum(RGB) / Sum(B/W) / Difference / Flash (RGB) / Flash (B/W) / CheckerBoard (RGB) / CheckerBoard(B/W)
CB Size | Defines the checker board size (in pixels) for Checker Board display mode CB.
Flash FPS | Defines Image flash rate (in seconds) for Flash mode display. (Actual flash rate is hardware dependent.)
Reset | Returns the Target image to initial orientation.
OK | Creates a readjusted project image and regenerate a phase image.
Cancel | Cancels the procedure.


Band Pass Filter

This is a special Band Pass Filter that passes also the center beam. Thus, the mean value of the image will be kept constant. (NOTE: BandpassMask tool of DM will cut the low frequency including the center beam, thus the mean value of the filtered image becomes zero.)

How to use:

1. Select a project or image

2. Choose the command (Band Pass Filter)

3. Input the value in the Smooth Edge By (pixels) box.

4. Adjust the BandpassMask size on the Fourier transformed image, and then select Apply.

Band Pass Filter dialog

Component | Description
Smooth Edge By(pixels) | The band-pass filter edge will be smoothed with the Distance from the edge by exp(-(Distance/Edge)**4).


Propagate WF

Propagates the wave by a specified distance or a set of defocuses. This command is useful, if the center image is not exactly in-focus.

Propagate WF Submenu

The options in the Propagate WF submenu are described below.

Option | Description
Manual Defocus | You can propagate the wave manually using an interactive tool: QPt Tools/Propagate.
Focal Series | Waves at a series of defocuses will be calculated.
Single Defocus | A wave at the specified defocus will be calculated.


Focal Series

A set of defocused images (focal-series images) will be calculated and saved into a stacked image.

Focal Series dialog

Control Tab

Component | Description
Start Defocus | Specify the defocus range and defocus step.
Last Defocus | Specify the defocus range and defocus step.
Defocus Step | Specify the defocus range and defocus step.
Cutoff(Aperture) | Aperture radius in Fourier space (in 1/nm)
HPF | The amount of detail that is filtered out of the image. As the value is increased the more the image consists of only boundary or edge details. Enter a value in the field or move the slider to change the value.

Display Tab

Component | Description
Message Level | Controls the amount of output message to the Result Window. (None/Normal/Detail)


Single Defocus

Single Defocus dialog

Control Tab

Component | Description
Defocus | Distance of wave propagation in the specified unit. A negative value corresponds to a back-propagation.
Cutoff(Aperture) | Aperture radius in Fourier space (in 1/nm)
HPF | The amount of detail that is filtered out of the image. As the value is increased the more the image consists of only boundary or edge details. Enter a value in the field or move the slider to change the value.

Display Tab

Component | Description
Message Level | Controls the amount of output message to the Result Window. (None/Normal/Detail)


Manual Defocus

Manual Defocus tool (Propagate)

Component | Description
Defocus | Distance of wave propagation in the specified unit. A negative value corresponds to a back-propagation.
Cutoff (Aperture) | Aperture radius in Fourier space (in 1/nm)
High Pass Filter | The amount of detail that is filtered out of the image. As the value is increased the more the image consists of only boundary or edge details. Enter a value in the field or move the slider to change the value.
Done | Creates a Propagate WF image.
Cancel | Cancels the procedure.


Aberration Corrector ... Menu

This command opens Aberration Corrector window (if not opened).?The aberration corrector becomes active, only when the Rectangle ROI is placed on the image. Aberration correction is applied on the fly to the image within the ROI. The same aberration will be applied to the whole image, when the Apply button is pressed.

Definition of the aberration coefficients: A pre-factor of 1/(n+1) is applied to the Modulus of n-th order aberration coefficient. For example, for the second order Coma (B2) the actual modulus is Modules/(2+1).

Aberration Corrector window

The components of the window are described below.

Component | Description
Rotation Tab | Rotational aberrations, namely defocus, and 3rd and fifth order spherical aberrations. See Rotation Tab below.
Basic Tab | Basic non-rotational aberrations, namely two-fold astigmatism, coma and three-fold astigmatism. See Basic Tab below.
3rd Tab | Third order (non-rotational) aberrations. See Basic Tab below how to adjust the parameters.
4th Tab | Forth order (non-rotational) aberrations. See Basic Tab below how to adjust the parameters.
5th Tab | Fifth order (non-rotational) aberrations. See Basic Tab below how to adjust the parameters.
Display | Selection the display mode from Imaginary/Real/Modulus/Log of Modulus/Phase.
PCTF Button | Phase Contrast Transfer Function (Imaginary part of the aberration function) will be displayed in a separate PCTF window. The image size will be specified in the Show PCTF dialog.
Apply | Aberration correction with the current selections will be applied to the whole image.

Rotation Tab

Rotational aberrations, namely defocus (C1), 3rd order spherical aberration (C3) and fifth order spherical aberration (C5) will be adjusted by a value shown in the Value box. You can input directly a number in the Value box, or up/down by a step in the Step box.

Basic Tab

Basic non-rotational aberrations, namely two-fold astigmatism (A1), coma (B2) and three-fold astigmatism (A2) will be adjusted by the Modulus and Angle. The Modulus will be specified directly in the Value box, or up/down by a step in the Step box. The Angle will be specified directly in the circle, or up/down by the arrows.


QPt

QPt Menu

The options in the QPt menu are described below.

Option | Description
Field Filter image | Creates Magnetic/Electric Field Images. For more information on various options of the field filter image, see Magnetic/Electric Field, Magnetic/Electric Field Raw, Field Density Map, Rotate Coordinate.
Manual Adjust for Field Filter | Adjusts an aligned project image manually and regenerates a phase and/or field filter image.
Knife Edge image | Displays a knife-edge image (Schlieren image). For more information on the knife edge image, see Knife Edge Image


Field Filter

Field Filter Submenu

The options in the Field Filter submenu are described below.

Option | Description
Magnetic/Electric Field | The magnetic/electric field image will be calculated from the project image, for which the phase has been already calculated. Here, the vector field is RGB color-coded with arrows showing the vector direction and magnitude. You can change appearance of the vector field image using Setup dialog.
Magnetic/Electric Field Raw | Two (x and y) components of the magnetic/electric vector field are coded into real and imaginary parts of complex image.. Thus, you can quantitatively analyze the field vector.
Field Density Map | Displays a two-dimensional histogram of magnetic/electric field vectors. You can change appearance of the field density map using Field Density Map dialog Before selecting this menu, the front image should be a magnetic/electric field image.
Rotate Coordinates | Rotates the x-direction (preferred direction) of the vector field coordinate‚“ to the specified angle. The magnitude of the vector field along or perpendicular to the preferred direction can be read easily from the real or imaginary part of the rotated complex image.
Display Control | Toggles display control: Color, Direction, Arrows, Blend
Color Wheel/Bar | Shows a color wheel or bar.
Setup | Opens the Field Filter Setup dialog where you can control an arrow display and an image blending.


Field Density Map

Field Density Map dialog

Component | Description
Image size | Size of the field density map in pixel.
Pseudo-Color | If checked, the field density map is displayed in pseudo-color. (If not checked, the field density map is displayed in gray-scale.)
Show Color Wheel | If checked, a RGB color wheel will be displayed in the separate window of the specified size.
Exclude edge region | If checked, the border area with the specified width will be ignored from the histogram. In many cases the border area is contaminated from the FFT artifacts.


Rotate Coordinates

Rotates the x-direction (preferred direction) of the vector field coordinate‚“ to the specified angle.

Rotate Coordinates Dialog

Component | Description
X-Direction | Specifies the direction of x-direction (preferred direction) of the vector coordinates. You can specify the direction by using the Line ROI instead of putting an angle.
Display Mode | X, Y component: Two images will be created corresponding to X and Y components. Complex image: A single complex image will be created.
OK | Creates a new vector field corresponding to the rotate coordinates.
Cancel | Cancels the procedure.


Display Control

Component | Description
Color (On/Off) | Toggles color display
Direction (On/Off) | Toggles displaying direction information.
Arrows (On/Off) | Toggles displaying arrows showing a magnitude and direction. An interval, length and color of the arrow will be controlled in the Arrow Tab of the Field Filter Setup dialog.
Image Blending (On/Off) | Toggles image blending. An image to be blended and its blend ratio will be controlled in the Blend Tab of the Field Filter Setup dialog.


Color Wheel/Bar

Component | Description
Color Wheel | Creates a color wheel used to display a direction and magnitude of the Vector map.
Color bar | Creates a color bar used display a magnitude of the Vector map.


Setup

You can control an arrow display and an image blending for the field filter image display.

Field Filter Setup dialog

Arrow Tab

Component | Description
Interval | Specifies an interval to draw arrows (in pixel)
Length Scale | Specifies an arrow length. An actual length is Interval * Scale (in pixel)
Color | Specifies an arrow color in RGB.

Blend Tab

Component | Description
Blend Image | Select a blend image from the sequence images.
Blend Ratio | Specifies a blending ratio.
Apply Blending | if checked, the selected image will be blended.
Contrast Limits | The display limits of the field magnitude in RBG color will be specified here. The minimum and maximum field magnitudes are indicated for your reference. This is especially useful, if there are abnormal artifact points.
Remove outliers | If checked, the display limits are specified by the value(s) that will remove the specified % of high and/or low outliers.


Manual Adjust

Manual Adjust for Field Filter

Adjusts an aligned project image manually and regenerates a phase and/or field filter image. This command uses the same tool for Manual Alignment.

Manual Adjust Dialog

Component | Description
Phase Image | Tick to creates a phase image.
Field Image | Tick to creates a Field filter image.
OK | Close the dialog and launch the Manual Adjust tool.
Cancel | Cancels the procedure.

Manual Adjust Tool

Manual Adjust Tab

The components of the Manual Adjust Tab are described below. You may note that the components are identical with the Manual Alignment Tool.

Component | Description
Translation | Translates the Target image with respect to the Reference image, in the direction of the arrow clicked upon. Keyboard arrow keys can also be used.
Step | Step for one click in pixels.
Scale | Magnifies, or demagnifies, the Target image with respect to the Reference image.
Step | Step for one click in fractions of scale change.
Angle | Rotates the Target image, clockwise or anticlockwise, with respect to the Reference image.
Step | Step for one click in degrees.
Display mode | Display mode may be selected from the pull-down list. Sum(RGB) / Sum(B/W) / Difference / Flash (RGB) / Flash (B/W) / CheckerBoard (RGB) / CheckerBoard(B/W)
CB Size | Defines the checker board size (in pixels) for Checker Board display mode CB.
Flash FPS | Defines Image flash rate (in seconds) for Flash mode display. (Actual flash rate is hardware dependent.)
Reset | Returns the Target image to initial orientation.
OK | Creates a readjusted project image and regenerate a phase and/or field filter image.
Cancel | Cancels the procedure.


Knife Edge

Displays a knife-edge image (Schlieren image)@according to the knife edge position dynamically controlled by using the Knife Edge tool.

Knife Edge Tool

Component | Description
Distance to center | Defines the distance of the knife edge from center of the image.
Angle | Defines the angle of the knife edge.
Bright/Dark Field | Changes display Bright Field or Dark Field.
Remove Knife Edge | Tick to remove the knife edge from the image.
Done | Creates the knife edge image.
Cancel | Cancels the procedure.


QPt Pro

To access the QPt Plugin Wizard, follow the steps below.

Step | Action
1. | Select an image that you want to use to create the QPt images.
2. | Select the QPt menu.
3. | Select the phase or modality image you want to create. The QPt Modality Wizard is displayed.

See also, Project and Images.

QPt Plugin Wizard Pages

The Darkfield Properties Page
The Differential Interference Contrast (DIC) Properties Page
The Hoffman Modulation Contrast (HMC) Properties Page
The Zernike Phase Contrast (ZPC) Properties Page


The Darkfield Properties Page

The components of the Darkfield Properties page are described below.

Component | Description
General Tab | For information about the components of the General tab, see The Darkfield Properties General Tab.
Contrast Tab | For information about the components of the Contrast tab, see The Darkfield Properties Contrast Tab.
Preview | Displays the effect on the sample image of changing any of the values in the Darkfield Properties fields.
Back | Returns to the previous page of the wizard.
Finish | Closes the plugin wizard and creates the darkfield image according to the specified parameters.
Cancel | Closes the plugin wizard without generating an image.

See also, Project and Images.

Darkfield Properties Tabs


The Darkfield Properties General Tab

The components of the General tab of the Darkfield Properties page are described below.

Component Description

Contrast Mode

The image contrast mode. Dark is white on black and Bright is black on white.

Modulate with Intensity Image

If Disabled is selected, intensity information is excluded from the image.

If Enabled is selected, the intensity information from the sample is included in the image.

If Enhanced is selected, the intensity information included in the image is determined by the value in the field where

· | 0 gives no intensity information in the image; and
· | 1.0 stretches the intensity information from the sample to its maximum range. This creates an image with increased contrast in the intensity information.

The + and - buttons change the scale of the slider bar.

Restore Defaults

Resets all the general darkfield properties to the system defaults.


The Darkfield Properties Contrast Tab

The components of the Contrast tab of the Darkfield Properties page are described below.

Component | Description
Acceptance Width | The fractional width of the gradient data to display as full contrast range. The + and - buttons change the scale of the slider bar.
Center of Acceptance | The position the acceptance width contrast range is centered on. The + and - buttons change the scale of the slider bar.
Restore Defaults | Resets all the contrast properties to the system defaults.


The Differential Interference Contrast (DIC) Properties Page

The components of the Differential Interference Contrast (DIC) Properties page are described below.

Component Description

Contrast Angle (degrees)

The represented angle of illumination, which controls the direction of the shadow relief.

Modulate with Intensity Image

If Disabled is selected, intensity information is excluded from the image.

If Enabled is selected, the intensity information from the sample is included in the image.

If Enhanced is selected, the intensity information included in the image is determined by the value in the field where:

· | 0 gives no intensity information in the image; and
· | 1.0 stretches the intensity information from the sample to its maximum range. This creates an image with increased contrast in the intensity information.

The + and - buttons change the scale of the slider bar.

Combiner Prism

The phase offset. Changing the value performs the same role as the "slider" on a conventional DIC microscope.

The maximum contrast is at 0 and positive numbers give a white image with phase information displayed in black and negative numbers give a black image with phase information displayed in white.

Restore Defaults

Resets all the properties to the system defaults.

Preview

Displays the effect on the sample image of changing any of the values in the Differential Interference Contrast (DIC) Properties fields.

Back

Returns to the previous page of the wizard.

Finish

Closes the plugin wizard and creates the DIC image according to the specified parameters.

Cancel

Closes the plugin wizard without generating an image.

See also, Project and Images.


The Hoffman Modulation Contrast (HMC) Properties Page

The components of the Hoffman Modulation Contrast (HMC) Properties page are described below.

Component | Description
General Tab | For information about the components of the General tab, see The HMC Properties General Tab.
Transmission Tab | For information about the components of the Transmission tab, see The HMC Properties Transmission Tab.
Gray Zone | For information about the components of the Gray Zone tab, see The HMC Properties Gray Zone Tab.
Preview | Displays the effect on the sample image of changing any of the values in the Hoffman Modulation Contrast (HMC) Properties fields.
Back | Returns to the previous page of the wizard.
Finish | Closes the plugin wizard and creates the HMC image according to the specified parameters.
Cancel | Closes the plugin wizard without generating an image.

See also, Project and Images.

HMC Properties Tabs


The HMC Properties General Tab

The components of the General tab of the Hoffman Modulation Contrast (HMC) Properties page are described below.

Component Description

Contrast Angle (degrees)

The represented angle of illumination, which controls the direction of the shadow relief.

Modulate with Intensity Image

If Disabled is selected, intensity information is excluded from the image.

If Enabled is selected, the intensity information from the sample is included in the image.

If Enhanced is selected, the intensity information included in the image is determined by the value in the field where

· | 0 gives no intensity information in the image; and
· | 1.0 stretches the intensity information from the sample to its maximum range. This creates an image with increased contrast in the intensity information.

The + and - buttons change the scale of the slider bar.

Restore Defaults

Resets all the general properties to the system defaults.


The HMC Properties Transmission Tab

The components of the Transmission tab of the Hoffman Modulation Contrast (HMC) Properties page are described below.

Component | Description
Bright Zone | The brightness value given to the rays that pass through the bright zone. The + and - buttons change the scale of the slider bar.
Gray Zone | The brightness value given to the rays that pass through the gray zone. The + and - buttons change the scale of the slider bar.
Dark Zone | The brightness value given to the rays that pass through the dark zone. The + and - buttons change the scale of the slider bar.
Restore Defaults | Resets all the transmission properties to the system defaults.


The HMC Properties Gray Zone Tab

The components of the Gray Zone tab of the Hoffman Modulation Contrast (HMC) Properties page are described below.

Component | Description
Zone Width | The width of the gray zone. The + and - buttons change the scale of the slider bar.
Center of Zone | The position of the center of the gray zone. The + and - buttons change the scale of the slider bar.
Softening Factor | The amount of spread in brightness level at the boundaries of the dark and gray zones and gray and bright zones. Zero is sharpest cutoff. The + and - buttons change the scale of the slider bar.
Restore Defaults | Resets all the gray zone properties to the system defaults.


The Zernike Phase Contrast (ZPC) Properties Page

The components of the Zernike Phase Contrast (ZPC) Properties page are described below.

Component | Description
General Tab | For information about the components of the General tab, see The ZPC Properties General Tab.
Enhancement Tab | For information about the components of the Enhancements tab, see The ZPC Properties Enhancements Tab.
Preview | Displays the effect on the sample image of changing any of the values in the Zernike Phase Contrast (ZPC) Properties fields.
Back | Returns to the previous page of the wizard.
Finish | Closes the plugin wizard and creates the ZPC image according to the specified parameters.
Cancel | Closes the plugin wizard without generating an image.

See also, Project and Images.

ZPC Properties Tabs


The ZPC Properties General Tab

The components of the General tab of the Zernike Phase Contrast (ZPC) Properties page are described below.

Component Description

Invert Contrast

Modifies the pixels in the selected images to create an effect similar to a photographic negative.

Phase Plate Transmission

The optical transmission of the Zernike phase plate.

A phase plate transmission of 1 gives a completely transparent phase plate and 0 gives a completely opaque phase plate.

The + and - buttons change the scale of the slider bar.

Apply Darkground Image

If checked, the value in the Phase Plate Transmission field is set to 0.

Modulate with Intensity Image

If Disabled is selected, intensity information is excluded from the image.

If Enabled is selected, the intensity information from the sample is included in the image.

If Enhanced is selected, the intensity information included in the image is determined by the value in the field where:

· 0 gives no intensity information in the image; and

· 1.0 stretches the intensity information from the sample to its maximum range. This creates an image with increased contrast in the intensity information.

The + and - buttons change the scale of the slider bar.

Restore Defaults

Resets all the general properties to the system defaults.


The ZPC Properties Enhancements Tab

The components of the Enhancements tab of the Zernike Phase Contrast (ZPC) Properties page are described below.

Component Description

Phase Plate Excursion

The phase advancement or retardance of the phase plate.

This changes the contrast of the phase information in the sample image.

Valid values are in the range P/2 to -P/2 including zero phase excursion which will give no phase information in the image.

Phase Enhancement

The range of phase information included in the image.

A value of 1.0 stretches the phase information from the sample to its maximum range. This creates an image with increased phase contrast.

A value of 0 gives no phase information in the image.

A value of -1.0 inverts and stretches the phase information from the sample to its maximum range. This creates an image with increased and inverted phase contrast.

Restore Defaults

Resets all the enhancement properties to the system defaults.


HREM Modules

The options in the HREM Modules menu are described below.

Option | Description
Exit Surface WF... | Open the Exit Surface WF dialog where you can control the calculation. When you press 'OK,' a wave function at the specimen exit surface will be calculated.
Minimum Amplitude WF... | Open the Minimum Amplitude WF dialog where you can control the calculation. When you press 'OK,' a wave function with minimum amplitude will be displayed.


Exit Surface WF

Exit Surface WF dialog

Control Tab

Component | Description
Cs | Sperical aberration coefficient (in mm)
Defocus | Defocus value for the middle (in-fosus) image
Defocus Spread | Defocus spread (in nm). If unchecked, the defocus spread will not be correctred.
Beam Convergence | Incident beam convergence angle in Fourier space which is equal to [convergence angle / wave length] (in 1/nm).
Cutoff (Aperture) | Aperture radius in Fourier space (in 1/nm)
Noise Control | Noise magnitude used in a Wiener type Filter

Display Tab

Component | Description
Message Level | Controls the amount of output message to the Result Window. (None/Normal/Detail)


Minimum Amplitude WF

Minimum Amplitude WF dialog

Control Tab

Component | Description
Start Defocus | Start defocus of the defocus range to be searched for a minimum amplitude.
Last Defocus | Last defocus of the defocus range to be searched for a minimum amplitude.
Defocus Step | Defocus step of the defocus range to be searched for a minimum amplitude.
Cutoff (Aperture) | Aperture radius in Fourier space (in 1/nm)

Display Tab

Component | Description
Result Log | If checked, complex wave functions at all the defocuses will be saved into a stacked image.
Amplitude Std | If checked, Std of the amplitude distribution at each defocus will be displayed.
Phase Std | If checked, Std of the phase distribution at each defocus will be displayed.
Message Level | Controls the amount of output message to the Result Window. (None/Normal/Detail)


Utilities

Utilities Menu | Padding Submenu | Complex To Real Submenu

The options in the Utilities menu are described below.

Option | Description
Check Derivative | Displays an intensity derivative along the propagation direction. This command is useful to check an image alignment.
Replace Dud Pixels | A daialog asking a tolerance will be open, and bad (defect) pixel values determined with this tolerance.will be replaced. This routine will work for te whole image or a selected image area.
Trend Subtract | Subtracts a trend (slowly varying feature) from the front image, and displays the result in the new image window. This command is useful to enhance the image feature.
Padding |
Execute | Expands an image size into a power of two which is required for a Fast Fourier transform (FFT).
Mode Select... | Padding mode will be selected from Border Average: use a average value over the image border pixels. Average/Miimum/Maximum: use a corresponding value over the whole image. Border Pixel:use border pixel values extending outward.
Extract Images | Extracts all the component images from a project.
Extract Current Slice | Extracts one currently displayed image from a project.
Complex to Real | Converts a complex image to a displayable real image type (Phase/Amplitude/Real/Imaginary/Intensity).
Shift Wrapped Phase... | Phase value will be shifted (added/subtracted) by a specified value in radians.
Reactivate Reference Point | Reactivate the reference points used for alignment on the re-opened image. (This command activates the reference point handler for a re-opened image. This handler is closed when the image is closed.)


High Pass Filter

The high pass filter controls the amount of detail that is filtered out of the image. At a high pass filter setting of 0, the phase image can be quantitative. As the value is increased the lowest spatial frequencies are filtered out. This has two consequences, the image becomes less quantitative, and the image becomes more composed of boundary or edge details.

Quantitative phase image generated with the High Pass Filter set to 1. | Image generated with the High Pass Filter set to 0.
Image generated with the High Pass Filter set to 20. | Image generated with the High Pass Filter set to 100.


Illumination Method

The illumination method allows you to specify the method of illumination used with the sample.

Quantitative phase image generated with Transmitted Light selected as the illumination method.

Image generated with Reflected Light selected as the illumination method even though this sample was illuminated using transmitted light.


No Special Optics Required

Conventional optical microscopy methods used to visualize phase, such as, Differential Interference Contrast (DIC), Hoffman Modulation Contrast (HMC) and Zernike Phase Contrast (ZPC), rely on special optics attached to the microscope, which can be very expensive.

Phase imaging with electrons is an advanced research procedure using electron interferometry or electron holography, both highly specialized techniques.

These methods all give a mixture of phase and amplitude information. They also require a certain level of skill to obtain useful images and are time-consuming to set up and optimize for each image.

With QPt various phase modalities can be generated digitally from the phase image at the click of a button.


Obtaining Detail Without the Use of Stains

Using QPt, the use of stains to enhance the intensity contrast of an image is unnecessary.

Stains are taken up in varying degrees by the refractive components of the sample to give an image with a defined relationship between intensity and refraction. Unfortunately, this may also change the nature of the sample being analyzed.

Also, some stains need to be handled with care as they may be toxic.


Obtaining Quantitative Phase Images

QPt provides independent digital acquisition of both quantitative phase and amplitude (intensity) information.

No other phase visualization technique presents phase information only, there is always some intensity information as well.

Note:

If your sample is thicker than the depth of field, the measurement values may not be quantitative.


Phase and Modalities

Note:

You need to generate a phase image before you can generate any of the modality images as the calculations performed to create a modality image require the phase image data.

The options in the Phase and Modalities menu are described below.

QPt Basic

Option

Description

Phase

Displays the Phase Modality Setup dialog and then opens the Phase Properties dialog where you can set the parameters for the generation of a phase image.

The phase image will be displayed in a new window.

Before selecting this menu, the front image should be an aligned project image (a set of sequence images).

For more information on the phase image, see Phase Images.

Propagate WF

Propagates the wave by a specified distance. This command is useful, if the center image is not exactly in-focus.

QPt Lite

Option

Description

Field Filter

Field submenu creates a field filter image and displays it in a new window. You can change appearance of the field filter image using FieldFilterSubmenu.

Before selecting this menu, the front image should be a project image, for which the phase has been already calculated.

For more information on the field filter image, see Field Filter Images.

Field Density Map

Displays a two-dimensional histogram of magnetic/electric field vectors. You can change appearance of the field density map using Field Density Map dialog

Before selecting this menu, the front image should be a magnetic/electric field image. .

Knife Edge

Displays a knife-edge image (Schlieren image). For more information on the knife edge image, see Knife Edge Image

QPt Full

Option

Description

Darkfield

Displays the Darkfield Properties dialog where you can set the parameters for the generation of a darkfield image.

The dark field image will be displayed in a new window.

Before selecting this menu, the front image should be a project image for which the phase is calculated.

For more information on the dark field image, see Dark Field Images.

Differential Interference Contrast (DIC)

Displays the Differential Interference Contrast(DIC) Properties dialog where you can set the parameters for the generation of a DIC image.

The DIC image will be displayed in a new window.

Before selecting this menu, the front image should be a project image for which the phase is calculated.

For more information on the DIC image, see DIC Images.

Hoffman Modulation Contrast (HMC)

Displays the Hoffman MOdulation Contrast(HMC) Properties dialog where you can set the parameters for the generation of a HMC image.

The HMC image will be displayed in a new window.

Before selecting this menu, the front image should be a project image for which the phase is calculated.

For more information on the HMC image, see HMC image.

Zernike Phase Contrast (ZPC)

Displays the Zernike Phase Contrast (ZPC) Properties dialog where you can set the parameters for the generation of a ZPC image.

The ZPC image will be displayed in a new window.

Before selecting this menu, the front image should be a project image for which the phase is calculated.

For more information on the ZPC image, see ZPC image.

Propagate WF Submenu

The options in the Propagate WF submenu are described below.

Option | Description
Manual Adjust |
Focal Series |
Single Defocus |

Manual Adjust dialog

Component | Description
Defocus |
Cutoff (Aperture) |
High Pass Filter |
Done |
Cancel |

Focal Series dialog

Control Tab

Component | Description
Start Defocus |
Last Defocus |
Defocus Step |
Cutoff(Aperture) |
HPF |

Display Tab

Component | Description
Message Level |

Single Defocus dialog

Control Tab

Component | Description
Defocus |
Cutoff(Aperture) |
HPF |

Display Tab

Component | Description
Message Level |

Field Filter Submenu

The options in the Field Filter submenu are described below.

Option | Description
Magnetic Field | The magnetic field image will be calculated from the project image, for which the phase has been already calculated. Here, the vector field is RGB color-coded. You can change appearance of the vector field image using Setup dialog.
Magnetic Field Raw | Two components of the vector field are coded into a complex image. Thus, you can quantitatively analyze the field vector.
Electric Field | The electric field image will be calculated from the project image, for which the phase has been already calculated. Here, the vector field is RGB color-coded. You can change appearance of the vector field image using Setup dialog.
Electric Field Raw | Two components of the vector field are coded into a complex image. Thus, you can quantitatively analyze the field vector.
Color (On/Off) | Toggles color display
Direction (On/Off) | Toggles displaying direction information.
Arrows (On/Off) | Toggles displaying arrows showing a magnitude and direction. An interval, length and color of the arrow will be controlled in the Arrow Tab of the Field Filter Setup dialog.
Image Blending (On/Off) | Toggles image blending. An image to be blended and its blend ratio will be controlled in the Blend Tab of the Field Filter Setup dialog.
Setup... | Opens the Field Filter Setup dialog where you can control an arrow display and an image blending.
Color Wheel | Creates a color wheel used to display a direction and magnitude of the Vector map.
Color bar | Creates a color bar used display a magnitude of the Vector map.

Field Filter Setup dialog
Arrow Tab

Component | Description
Interval | Specifies an interval to draw arrows (in pixel)
Length Scale | Specifies an arrow length. An actual length is Interval * Scale (in pixel)
Color | Specifies an arrow color in RGB.

Blend Tab

Component | Description
Blend Image | Select a blend image from the sequence images.
Blend Ratio | Specifies a blending ratio.
Apply Blending | if checked, the selected image will be blended.
Contrast Limits | The display limits of the field magnitude in RBG color will be specified here. The minimum and maximum field magnitudes are indicated for your reference. This is especially useful, if there are abnormal artifact points.

Field Density Map dialog

Component | Description
Image size | Size of the field density map in pixel.
Pseudo-Color | If checked, the field density map is displayed in pseudo-color. (If not checked, the field density map is displayed in gray-scale.)
Show Color Wheel | If checked, a RGB color wheel will be displayed in the separate window of the specified size.
Exclude edge region | If checked, the border area with the specified width will be ignored from the histogram. In many cases the border area is contaminated from the FFT artifacts.


Phase Polarity

The phase polarity can be inverted to give a phase image with inverted contrast.

Quantitative phase image generated with the Invert Phase Polarity turned off.

Image generated with the Invert Phase Polarity turned on.


The Phase Properties Page

The components of the Phase Properties page are described below.

Component | Description
High Pass Filter | The amount of detail that is filtered out of the image. As the value is increased the more the image consists of only boundary or edge details. Enter a value in the field or move the slider to change the value.
Illumination Method | Specifies the method used to illuminate the sample.
Phase Polarity | If checked, the phase polarity is inverted. If unchecked, the original phase polarity is used.
Preview | Displays the effect on the sample image of changing any of the values in the Phase Properties fields.
Restore Defaults | Resets all the properties to the system defaults.
Back | Returns to the previous page of the wizard.
Finish | Closes the plugin wizard and creates the phase image according to the specified parameters.
Cancel | Closes the plugin wizard without generating an image.

See also, Project and Images.


The QPt Menu

The options in the QPt menu are described below.

Note:

You need to generate a phase image before you can generate any of the modality images. This is because the calculations performed to create a modality image require the phase image data.

Option | Description
Acqure Images... | Acquires three images using Gatan CCD
Setup images... |
Alignment... | Aligns a sequence images and creates a project
Phase and Modalities | Executes Phase or Modality module
Phase | Creates a phase image.
Propagate WF... | Propagates the wave by a specified distance.
Aberration Corrector | Opens Aberration Corrector window (if not opened).
Field Filter | Creates Field Filter
Field Density Map... | Creates Field Density Map
Knife Edge | Creates Knife Edge Image.
Darkfield | Creates a darkfield image.
DIC | Creates a DIC image.
Hoffman | Creates a HMC image.
Zernike | Creates a ZPC image.
HREM Modules | Executes HTREM molues
Exit Surface WF... | Creates a wave function at specimen exit surface
Minimum Amplitude WF... | Creates a wave function with minimum amplitude modulation
Utilities | Utility modules.
Check Derivative | Displays an intensity derivative along the propagation direction.
Replace Dud Pixels | Replaces bad (defect) pixel values
Padding | Adds pixels to make an image size to be a power of two.
Extract Images | Extracts component images from a project
Extract Current Slice | Extracts one currently displayed image from a project.
Complex to Real | Converts a complex image to a displayable real image type (Phase/Amplitude/Real/Imaginary/Intensity).
Help | Opens an on-line help


QPt Full

To access the QPt Plugin Wizard, follow the steps below.

Step | Action
1. | Select an image that you want to use to create the QPt images.
2. | Select the QPt menu.
3. | Select the phase or modality image you want to create. The QPt Modality Wizard is displayed.

See also, How to Create a QPt Image.

QPt Plugin Wizard Pages

The Darkfield Properties Page
The Differential Interference Contrast (DIC) Properties Page
The Hoffman Modulation Contrast (HMC) Properties Page
The Phase Properties Page
The Zernike Phase Contrast (ZPC) Properties Page


True Focus is Used

The in-focus image is captured at the true focus of the sample. Intensity images are often taken slightly out of focus to achieve better contrast and to highlight structures.

True Focus Image Lines are sharp with no halo effects. This image will give the best phase images as it is truly in focus. | Image Focused Positively to Enhance Contrast Structures are more visible in the intensity image as contrast is increased but lines are split into black and white bands.
Image Focused Negatively to Enhance Contrast Black and white bands are reversed creating a white halo around each blood cell. |